質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.05%

xdebugをインストールするとエラーが発生する

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,144

chokochokochok

score 38

やりたいこと
xdebugをインストールし、phpstormでデバックができるようにしたい

環境
・laravel5.5
・php7.1
・docker使用

現状、下記エラーが発生し、ここから作業が止まってしまいました。
そのため、こちらでご教授いただければと思います。

brew install php71-xdebug


を実行すると下記エラーが発生。

Updating Homebrew...
==> Auto-updated Homebrew!
Updated 1 tap (homebrew/core).
==> Updated Formulae
openblas                             paket

Error: No available formula with the name "php71-xdebug"
==> Searching for a previously deleted formula (in the last month)...
Warning: homebrew/core is shallow clone. To get complete history run:
  git -C "$(brew --repo homebrew/core)" fetch --unshallow

Error: No previously deleted formula found.
==> Searching for similarly named formulae...
Error: No similarly named formulae found.
==> Searching taps...
==> Searching taps on GitHub...
Error: No formulae found in taps.

こちらのを参考にやっても見ましたが、
同じように帰っては来なく、新規でファイルが開きました。
https://qiita.com/weed/items/98b4aacbd6e52a2bde2e

よろしくお願いいたします。

追記:

php -v


を実行すると

Xdebug requires Zend Engine API version 220131226.
The Zend Engine API version 320160303 which is installed, is newer.
Contact Derick Rethans at http://xdebug.org/docs/faq#api for a later version of Xdebug.

PHP 7.1.19 (cli) (built: Jun 25 2018 10:43:49) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.1.0, Copyright (c) 1998-2018 Zend Technologies
    with Zend OPcache v7.1.19, Copyright (c) 1999-2018, by Zend Technologies


と表示されました。
調べるとphpとxdebugのapiのバージョンがあっていないということなのですが、phpのバージョンは開発現場で指定されて入るため変えることができません。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • chokochokochok

    2018/07/31 08:46

    元々5.4のバージョンのものだったのでそれを7.1にアップデートしました。5.4のはphpのリファレンスからダウンロードしたと思います。アップデートはこちらを参考にして行いました。https://qiita.com/yamatmoo/items/4ff2fe1785f771e67e08

    キャンセル

  • tonkun4os

    2018/09/11 00:57

    そもそも参照URLもインストール成功してます?WindowsではPHP 5.6.31 (cli) (built: Jul 5 2017 22:25:43) Copyright (c) 1997-2016 The PHP Group Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies with Xdebug v2.2.5, Copyright (c) 2002-2014, by Derick Rethans てなりますがー

    キャンセル

  • tonkun4os

    2018/09/11 00:58

    ソースからインストールかなー

    キャンセル

回答 1

checkベストアンサー

0

この手順の方が良いかもー
https://qiita.com/koriym/items/b3c58f41c18c5db9153d
コンパイルできない時は又聞いてください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/09/11 19:41

    回答ありがとうございます!!解決しないと思ってましたができました。とても感謝です。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.05%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る